# NetworkHTTPContentConnecter Class Reference

Connect with a HTTP server and do ONE query. More...

`#include <tcp_http.h>`

Inheritance diagram for NetworkHTTPContentConnecter:

## Public Member Functions
| NetworkHTTPContentConnecter (const NetworkAddress &address, HTTPCallback *callback, const char *url, const char *data=NULL, int depth=0)
| Start the connecting.
| ~NetworkHTTPContentConnecter ()
| Free all our allocated data.
virtual void | OnFailure ()
| Callback for when the connection attempt failed.
virtual void | OnConnect (SOCKET s)
| Callback when the connection succeeded.
## Private Attributes
HTTPCallback * | callback
| Callback to tell that we received some data (or won't).
const char * | url
| The URL we want to get at the server.
const char * | data
| The data to send.
int | depth
| How far we have recursed.

## Detailed Description

Connect with a HTTP server and do ONE query.

Definition at line 98 of file tcp_http.h.

## Constructor & Destructor Documentation

NetworkHTTPContentConnecter::NetworkHTTPContentConnecter | ( | const NetworkAddress & | address,
|  | HTTPCallback * | callback,
|  | const char * | url,
|  | const char * | data = `NULL`,
|  | int | depth = `0` |
| ) |  |  | `[inline]`

Start the connecting.

Parameters:

  | address | the address to connect to
  | callback | the callback for HTTP retrieval
  | url | the url at the server
  | data | the data to send
  | depth | the depth (redirect recursion) of the queries

Definition at line 113 of file tcp_http.h.

NetworkHTTPContentConnecter::~NetworkHTTPContentConnecter | ( |  | ) | `[inline]`

Free all our allocated data.

Definition at line 125 of file tcp_http.h.

References url.

## Member Function Documentation

virtual void NetworkHTTPContentConnecter::OnConnect | ( | SOCKET | s | ) | `[inline, virtual]`

Callback when the connection succeeded.

Parameters:

  | s | the socket that we opened

Reimplemented from TCPConnecter.

Definition at line 136 of file tcp_http.h.

References TCPConnecter::address, callback, data, depth, NetworkAddress::GetHostname(), and url.

The documentation for this class was generated from the following file:

- src/network/core/tcp_http.h